## gate.gui
Class NameBearerHandle.ReloadAction

    java.lang.Object
      |
      +--javax.swing.AbstractAction
            |
            +--gate.gui.NameBearerHandle.ReloadAction

All Implemented Interfaces:
  Action, ActionListener, Cloneable, EventListener, Serializable

Enclosing class:
  NameBearerHandle

class NameBearerHandle.ReloadAction
extends AbstractAction

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.AbstractAction
`AbstractAction.ArrayTable`

Fields inherited from class javax.swing.AbstractAction
`arrayTable, changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`(package private)` `NameBearerHandle.ReloadAction()`

Method Summary
`void` `actionPerformed(ActionEvent e)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getValue, isEnabled, putValue, readObject, removePropertyChangeListener, setEnabled, writeObject`

Methods inherited from class java.lang.Object
`<clinit>, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### NameBearerHandle.ReloadAction

    NameBearerHandle.ReloadAction()

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Overrides:
    `actionPerformed` in class `AbstractAction`